p
u
b
l
i
c
i
t
é
publicité
  1. #1
    Membre expérimenté
    Avatar de clavier12AZQSWX
    Homme Profil pro
    Chef de projet NTIC
    Inscrit en
    avril 2009
    Messages
    819
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 38
    Localisation : France, Somme (Picardie)

    Informations professionnelles :
    Activité : Chef de projet NTIC

    Informations forums :
    Inscription : avril 2009
    Messages : 819
    Points : 527
    Points
    527

    Par défaut peut-on installer python 2.7 à la place de 2.4 sans aucun soucis de compatibilité?

    bonjour,


    notre ERP fonctionne actuellement avec Python 2.4 sous debian.

    Puis-je installer python 2.7.3 sans risque d'incompatibilité ou pas ?
    comment savoir ?

    merci à vous.

  2. #2
    Membre Expert
    Inscrit en
    août 2010
    Messages
    1 043
    Détails du profil
    Informations forums :
    Inscription : août 2010
    Messages : 1 043
    Points : 1 224
    Points
    1 224

    Par défaut

    Bonjour,

    il me semble que la MRO n'est pas la même entre ces deux versions !

  3. #3
    Modérateur

    Homme Profil pro
    Architecte technique
    Inscrit en
    juin 2008
    Messages
    6 683
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France

    Informations professionnelles :
    Activité : Architecte technique
    Secteur : Industrie

    Informations forums :
    Inscription : juin 2008
    Messages : 6 683
    Points : 10 294
    Points
    10 294

    Par défaut

    Citation Envoyé par Michael REMY Voir le message
    Puis-je installer python 2.7.3 sans risque d'incompatibilité ou pas ?
    Si vos codes sont des scripts Python, la compatibilité ascendante entre les versions 2.x exclu le risque d'avoir à ré-écrire tout le code.
    Après l'enfer est dans les détails : tout dépend des fonctionnalités, constructions, ... du langage qui ont été utilisées (et comment).
    - W
    Architectures Post-Modernes

Discussions similaires

  1. [Outils][ClickOnce] Peut-il installer du UnManaged C++ ?
    Par zeavan dans le forum EDI/Outils
    Réponses: 2
    Dernier message: 04/04/2006, 13h07
  2. est ce que postgresql peut s'installer sur un FAT32 ??
    Par mehdi_swatch dans le forum PostgreSQL
    Réponses: 1
    Dernier message: 31/03/2006, 09h57
  3. sql serveur 6.5 peut-être installé sous windows 2000?
    Par jyms2006 dans le forum MS SQL-Server
    Réponses: 13
    Dernier message: 20/03/2006, 19h37
  4. Installer Python avec Apache
    Par vincent_nk dans le forum Déploiement/Installation
    Réponses: 8
    Dernier message: 28/01/2006, 18h21
  5. VCL.NET : JVCL : peut on installer la JVCL sur D2005 ?
    Par Harry dans le forum Delphi .NET
    Réponses: 6
    Dernier message: 26/09/2005, 16h35

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo